import java.io.*;

class A {
   static String fileName = "A.test";

   public static void main(String[] args) {
      try {
         FileOutputStream out = createFile();
         writeFile(out);
         readFile();
      } catch (IOException io) {
         System.out.println(io.getMessage());
      }
   }
   static FileOutputStream createFile() throws IOException {
      File f = new File(fileName);
      FileOutputStream out = new FileOutputStream(f);
      return out;
   }
   static void writeFile(FileOutputStream out) throws IOException {
      DataOutputStream ds = null;
      try {
         ds = new DataOutputStream(out);
         ds.writeBytes("hello!");
      } finally {
         if (ds != null)
            ds.close();
      }
   }
   static void readFile() throws IOException {
      DataInputStream di = null;
      try {
         File f = new File(fileName);
         FileInputStream in = new FileInputStream(f);
         di = new DataInputStream(in);
         String s = di.readLine();
         System.out.println(s);
      } finally {
         if (di != null)
            di.close();
      }
   }
}
